Declare an MCP server's impact profile
curl --request PUT \
--url https://api.dev.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/governance/impact-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataCategories": [],
"safetyComponent": true,
"affectsNaturalPersons": true
}
'import requests
url = "https://api.dev.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/governance/impact-profile"
payload = {
"dataCategories": [],
"safetyComponent": True,
"affectsNaturalPersons": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dataCategories: [], safetyComponent: true, affectsNaturalPersons: true})
};
fetch('https://api.dev.swarmd.ai/registry/v1/mcp-servers/{mcpServerId}/governance/impact-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mcpServerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seq": 123,
"dataCategories": [
"NONE"
],
"actionCapability": "READ_ONLY",
"safetyComponent": true,
"affectsNaturalPersons": true,
"declaredBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"declaredAt": "2023-11-07T05:31:56Z"
}Governance
Declare an MCP server's impact profile
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | MCP_REGISTRY | WRITE | MCP_REGISTRY:WRITE |
PUT
/
registry
/
v1
/
mcp-servers
/
{mcpServerId}
/
governance
/
impact-profile
Declare an MCP server's impact profile
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Path Parameters
Body
application/json
Response
200 - */*
OK
Available options:
NONE, PERSONAL, SPECIAL_CATEGORY, BIOMETRIC, FINANCIAL, HEALTH, CHILDREN Available options:
READ_ONLY, WRITES, IRREVERSIBLE, PAYMENTS 